Module java.desktop
Package java.awt.desktop

## Class SystemSleepEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.desktop.AppEvent
    - - java.awt.desktop.SystemSleepEvent

All Implemented Interfaces:
  Serializable

    public final class SystemSleepEvent
    extends AppEvent

Event sent when the system enters and exits power save sleep.

Since:
  9
See Also:
  `SystemSleepListener.systemAboutToSleep(AppEvent.SystemSleepEvent)`, `SystemSleepListener.systemAwoke(AppEvent.SystemSleepEvent)`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`SystemSleepEvent()` Constructs a SystemSleepEvent

### Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SystemSleepEvent

    public SystemSleepEvent()

Constructs a SystemSleepEvent